API Reference
API Reference

Agent History

GET/api/v1/agents/{agent_id}/history

Authentication

Syllable-API-Keyrequired

Send Syllable-API-Key in the header.

Need a credential? Create or manage an API token in the Syllable Console.

Parameters

Path parameters

agent_id integer path required

Query parameters

page integer query optional
Default 0Minimum 0Example 0
limit integer query optional
Default 25Minimum 1Maximum 100Example 25
order_by_direction enum<string> query optional
Allowed values ["asc","desc"]Default descExample desc

Responses

200Successful Response

application/json

response ListResponse_AgentHistoryMetadata_ required
5 fields
itemsAgentHistoryMetadata[]required

List of items returned from the query

Item schema
itemsAgentHistoryMetadatarequired
5 fields
agent_idintegerrequired
version_numberintegerrequired
created_atstring (date-time)required
updated_bystringrequired
commentsstring | nullrequired
pageintegerrequired

The page number of the results (0-based)

page_sizeintegerrequired

The number of items returned per page

total_pagesinteger | nulloptional

The total number of pages of results given the indicated page size

total_countinteger | nulloptional

The total number of items returned from the query

Response example
{
  "items": [
    {
      "agent_id": 0,
      "version_number": 0,
      "created_at": "string",
      "updated_by": "string",
      "comments": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total_pages": "string",
  "total_count": "string"
}
403Agent read permission required

application/json

response AgentErrorResponse required
1 field
detailstringrequired
Response example
{
  "detail": "string"
}
404Agent not found

application/json

response AgentErrorResponse required
1 field
detailstringrequired
Response example
{
  "detail": "string"
}
422Validation Error

application/json

response HTTPValidationError required
1 field
detailValidationError[]optional
Item schema
itemsValidationErrorrequired
3 fields
locstring | integer[]required
Item schema
itemsstring | integerrequired
2 options
Option 1stringrequired
Option 2integerrequired
msgstringrequired
typestringrequired
Response example
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}